Subject: bug#56171: Request for marking DEF entry when using completing-read

From: Drew Adams <[email-masked]>
Date: Thu, 23 Jun 2022 22:08:33 +0000

See below.

It would be valuable to mark the default entry when users scroll through the options defined for `completing-read` whenever a DEF is supplied.
I'm not sure what you mean.

Is this about highlighting in `*Completions*' a
completion that's the DEF?
Suppose one moves through the collection.  There is no way that identifies the entry as being a designated DEF.

By moving through the collection, what do you mean? Cycling among the matches to your input - e.g. empty input?

What do you mean by "moving" or "scrolling" through the "options" or the collection? Can you maybe give a recipe for doing that?

Is it about selecting (as the active region) the
DEF value when you insert it with `M-n'?
I think M-n ensured you are refering to DEF.

Of course. I was asking what you mean by "selecting" ("marking"). That particular guess was that you perhaps meant to have the DEF inserted by `M-n' be selected as the region. Sometimes "marking" in Emacs means selecting as the active region.

I guess now you're saying no, that's not it. So I still have the same question? What is this "marking" about?

Something else?

?

And is the request to be able do whatever-it-is
_optionally_ or always?
Optionally is ok, but do not know the technical details.  I do not think doing it always would be a bad thing.

Sorry, but I still don't know what this selecting or "marking" of a DEF entry is about. Maybe it's clear to others - hopefully it is.